%%draw trajectories of selected ROIs
xx=[0,0.25,0.5,0.75,1];
L = [0.4261454 0.4497459 0.4696845 0.4854622 0.4632850];
f = csaps(xx,L);
fnplt(f)
set(gca,'YTickLabel',[]);
set(gca,'XTickLabel',[]);



%%extract varying coefficients
X = linspace(0,1,1000);
beta = zeros(length(X),length(K));
for k = 1:length(K)
a = zeros(length(X),1);
for i = 1:length(X)
    for r = 1:n
        for rr = 1:m(r)
            rnumb = sum(m(1:(r-1)))+rr;
            a(i) = a(i)+c(rnumb+(k-1)*N)*corr_matern3(phi,X(i),t(r,rr));
        end
    end
end
beta(:,k) = a;
end

%%draw varying coefficients plots
%PART 1
figure
ax1=subplot(2,4,1)       
plot(X,beta(:,1))          
title('\fontsize{12}Gender')
axis([0 1 min(min(beta(:,1:4)))-0.005 max(max(beta(:,1:4)))+0.005])
ylabel('\fontsize{20}\beta(t)')


ax2=subplot(2,4,2)       
plot(X,beta(:,2))   
title({'\fontsize{12}Surface Area of';'Right'; 'Parahippocampal'})
axis([0 1 min(min(beta(:,1:4)))-0.005 max(max(beta(:,1:4)))+0.005])
set(ax2,'ytick',[])

ax3=subplot(2,4,3)       
plot(X,beta(:,3))    
title({'\fontsize{12}Cortical Thickness'; 'Average of Right'; 'Parahippocampal'})
axis([0 1 min(min(beta(:,1:4)))-0.005 max(max(beta(:,1:4)))+0.005])
set(ax3,'ytick',[])


ax4=subplot(2,4,4)       
plot(X,beta(:,4))    
title({'\fontsize{12}Cortical Thickness'; 'Standard Deviation of'; 'Right ParsOrbitalis'})
axis([0 1 min(min(beta(:,1:4)))-0.005 max(max(beta(:,1:4)))+0.005])
set(ax4,'YAxisLocation','Right')


ax5=subplot(2,4,5)       
plot(X,beta(:,5))          
title({'\fontsize{12}Surface Area of'; 'Right Posterior'; 'Cingulate'})
axis([0 1 min(min(beta(:,5:8)))-0.005 max(max(beta(:,5:8)))+0.005])
ylabel('\fontsize{20}\beta(t)')


ax6=subplot(2,4,6)       
plot(X,beta(:,6))   
title({'\fontsize{12}Cortical Thickness'; 'Average of Right'; 'Rostral Middle Frontal'})
axis([0 1 min(min(beta(:,5:8)))-0.005 max(max(beta(:,5:8)))+0.005])
set(ax6,'ytick',[])

ax7=subplot(2,4,7)       
plot(X,beta(:,7))    
title({'\fontsize{12}Surface Area of'; 'Right Transverse'; 'Temporal'})
axis([0 1 min(min(beta(:,5:8)))-0.005 max(max(beta(:,5:8)))+0.005])
set(ax7,'ytick',[])


ax8=subplot(2,4,8)       
plot(X,beta(:,8))    
title({'\fontsize{12}Cortical Thickness'; 'Average of Right'; 'Transverse Temporal'})
axis([0 1 min(min(beta(:,5:8)))-0.005 max(max(beta(:,5:8)))+0.005])
set(ax8,'YAxisLocation','Right')

%PART 2
figure
ax1=subplot(2,4,1)       
plot(X,beta(:,9))    
title({'\fontsize{12}Cortical Thickness'; 'Standard Deviation'; 'of Right'; 'Transverse Temporal'})
axis([0 1 min(min(beta(:,9:12)))-0.005 max(max(beta(:,9:12)))+0.005])
ylabel('\fontsize{20}\beta(t)')


ax2=subplot(2,4,2)       
plot(X,beta(:,10))   
title({'\fontsize{12}Volume  of'; 'Right Unknown'})
axis([0 1 min(min(beta(:,9:12)))-0.005 max(max(beta(:,9:12)))+0.005])
set(ax2,'ytick',[])

ax3=subplot(2,4,3)       
plot(X,beta(:,11))    
title({'\fontsize{12}Volume of'; 'Left Insula'})
axis([0 1 min(min(beta(:,9:12)))-0.005 max(max(beta(:,9:12)))+0.005])
set(ax3,'ytick',[])


ax4=subplot(2,4,4)       
plot(X,beta(:,12))    
title({'\fontsize{12}Cortical Thickness'; 'Average of'; 'Right Insula'})
axis([0 1 min(min(beta(:,9:12)))-0.005 max(max(beta(:,9:12)))+0.005])
set(ax4,'YAxisLocation','Right')


ax5=subplot(2,4,5)       
plot(X,beta(:,13))          
title({'\fontsize{12}Surface Area of'; 'Left Caudal'; 'Anterior Cingulate'})
axis([0 1 min(min(beta(:,13:16)))-0.005 max(max(beta(:,13:16)))+0.005])
xlabel('\fontsize{15}t')
ylabel('\fontsize{20}\beta(t)')


ax6=subplot(2,4,6)       
plot(X,beta(:,14))   
title({'\fontsize{12}Cortical Thickness'; 'Average of'; 'Left Caudal'; 'Anterior Cingulate'})
axis([0 1 min(min(beta(:,13:16)))-0.005 max(max(beta(:,13:16)))+0.005])
set(ax6,'ytick',[])
xlabel('\fontsize{15}t')

ax7=subplot(2,4,7)       
plot(X,beta(:,15))    
title({'\fontsize{12}Cortical Thickness'; 'Standard Deviation of'; 'Left Caudal'; 'Anterior Cingulate'})
axis([0 1 min(min(beta(:,13:16)))-0.005 max(max(beta(:,13:16)))+0.005])
set(ax7,'ytick',[])
xlabel('\fontsize{15}t')


ax8=subplot(2,4,8)       
plot(X,beta(:,16))    
title({'\fontsize{12}Volume of'; 'Left Caudal'; 'Middle Frontal'})
axis([0 1 min(min(beta(:,13:16)))-0.005 max(max(beta(:,13:16)))+0.005])
set(ax8,'YAxisLocation','Right')
xlabel('\fontsize{15}t')


%PART 3
figure
ax1=subplot(2,4,1)       
plot(X,beta(:,17))    
title({'\fontsize{12}Cortical Thickness'; 'Average of Left'; 'Caudal Middle Frontal'})
axis([0 1 min(min(beta(:,17:20)))-0.005 max(max(beta(:,17:20)))+0.005])
ylabel('\fontsize{20}\beta(t)')

ax2=subplot(2,4,2)       
plot(X,beta(:,18))   
title({'\fontsize{12}Volume  of'; 'Left Cuneus'})
axis([0 1 min(min(beta(:,17:20)))-0.005 max(max(beta(:,17:20)))+0.005])
set(ax2,'ytick',[])

ax3=subplot(2,4,3)       
plot(X,beta(:,19))    
title({'\fontsize{12}Volume of'; 'Left Fusiform'})
axis([0 1 min(min(beta(:,17:20)))-0.005 max(max(beta(:,17:20)))+0.005])
set(ax3,'ytick',[])

ax4=subplot(2,4,4)       
plot(X,beta(:,20))    
title({'\fontsize{12}Cortical Thickness'; 'Standard Deviation'; 'of Left Fusiform'})
axis([0 1 min(min(beta(:,17:20)))-0.005 max(max(beta(:,17:20)))+0.005])
set(ax4,'YAxisLocation','Right')

ax5=subplot(2,4,5)       
plot(X,beta(:,21))          
title({'\fontsize{12}Volume of Corpus'; 'Callosum Anterior'})
axis([0 1 min(min(beta(:,21:24)))-0.005 max(max(beta(:,21:24)))+0.005])
ylabel('\fontsize{20}\beta(t)')


ax6=subplot(2,4,6)       
plot(X,beta(:,22))   
title({'\fontsize{12}Volume of'; 'Left Inferior'; 'Lateral Ventricle'})
axis([0 1 min(min(beta(:,21:24)))-0.005 max(max(beta(:,21:24)))+0.005])
set(ax6,'ytick',[])

ax7=subplot(2,4,7)       
plot(X,beta(:,23))    
title({'\fontsize{12}Volume of Left'; 'Inferior Parietal'})
axis([0 1 min(min(beta(:,21:24)))-0.005 max(max(beta(:,21:24)))+0.005])
set(ax7,'ytick',[])

ax8=subplot(2,4,8)       
plot(X,beta(:,24))    
title({'\fontsize{12}Surface Area'; 'of Left'; 'Inferior Temporal'})
axis([0 1 min(min(beta(:,21:24)))-0.005 max(max(beta(:,21:24)))+0.005])
set(ax8,'YAxisLocation','Right')


%PART 4
figure
ax1=subplot(2,4,1)       
plot(X,beta(:,25))    
title({'\fontsize{12}Cortical Thickness'; 'Average of Left'; 'Inferior Temporal'})
axis([0 1 min(min(beta(:,25:28)))-0.005 max(max(beta(:,25:28)))+0.005])
ylabel('\fontsize{20}\beta(t)')

ax2=subplot(2,4,2)       
plot(X,beta(:,26))   
title({'\fontsize{12}Volume  of Left'; 'Isthmus Cingulate'})
axis([0 1 min(min(beta(:,25:28)))-0.005 max(max(beta(:,25:28)))+0.005])
set(ax2,'ytick',[])

ax3=subplot(2,4,3)       
plot(X,beta(:,27))    
title({'\fontsize{12}Cortical Thickness';'Average of Left'; 'Isthmus Cingulate'})
axis([0 1 min(min(beta(:,25:28)))-0.005 max(max(beta(:,25:28)))+0.005])
set(ax3,'ytick',[])

ax4=subplot(2,4,4)       
plot(X,beta(:,28))    
title({'\fontsize{12}Cortical Thickness'; 'Standard Deviation'; 'of Left'; 'Isthmus Cingulate'})
axis([0 1 min(min(beta(:,25:28)))-0.005 max(max(beta(:,25:28)))+0.005])
set(ax4,'YAxisLocation','Right')

ax5=subplot(2,4,5)       
plot(X,beta(:,29))          
title({'\fontsize{12}Volume of Left'; 'Lateral Occipital'})
axis([0 1 min(min(beta(:,29:32)))-0.005 max(max(beta(:,29:32)))+0.005])
xlabel('\fontsize{15}t')
ylabel('\fontsize{20}\beta(t)')

ax6=subplot(2,4,6)       
plot(X,beta(:,30))   
title({'\fontsize{12}Cortical Thickness'; 'Average of Left'; 'Lateral Occipital'})
axis([0 1 min(min(beta(:,29:32)))-0.005 max(max(beta(:,29:32)))+0.005])
set(ax6,'ytick',[])
xlabel('\fontsize{15}t')

ax7=subplot(2,4,7)       
plot(X,beta(:,31))    
title({'\fontsize{12}Cortical Thickness'; 'Standard Deviation'; 'of Left'; 'Lateral Orbitofrontal'})
axis([0 1 min(min(beta(:,29:32)))-0.005 max(max(beta(:,29:32)))+0.005])
set(ax7,'ytick',[])
xlabel('\fontsize{15}t')

ax8=subplot(2,4,8)       
plot(X,beta(:,32))    
title({'\fontsize{12}Surface Area'; 'of Left Lingual'})
axis([0 1 min(min(beta(:,29:32)))-0.005 max(max(beta(:,29:32)))+0.005])
set(ax8,'YAxisLocation','Right')
xlabel('\fontsize{15}t')

%PART 5
figure
ax1=subplot(2,4,1)       
plot(X,beta(:,33))    
title({'\fontsize{12}Cortical Thickness'; 'Standard Deviation'; 'of Left Lingual'})
axis([0 1 min(min(beta(:,33:36)))-0.005 max(max(beta(:,33:36)))+0.005])
ylabel('\fontsize{20}\beta(t)')

ax2=subplot(2,4,2)       
plot(X,beta(:,34))   
title({'\fontsize{12}Surface Area'; 'of Left Medial'; 'Orbitofrontal'})
axis([0 1 min(min(beta(:,33:36)))-0.005 max(max(beta(:,33:36)))+0.005])
set(ax2,'ytick',[])

ax3=subplot(2,4,3)       
plot(X,beta(:,35))    
title({'\fontsize{12}Cortical Thickness';'Average of Left'; 'Medial Orbitofrontal'})
axis([0 1 min(min(beta(:,33:36)))-0.005 max(max(beta(:,33:36)))+0.005])
set(ax3,'ytick',[])

ax4=subplot(2,4,4)       
plot(X,beta(:,36))    
title({'\fontsize{12}Cortical Thickness'; 'Standard Deviation'; 'of Left Medial'; 'Orbitofrontal'})
axis([0 1 min(min(beta(:,33:36)))-0.005 max(max(beta(:,33:36)))+0.005])
set(ax4,'YAxisLocation','Right')

ax5=subplot(2,4,5)       
plot(X,beta(:,37))          
title({'\fontsize{12}Cortical Thickness';'Average of Left'; 'Middle Temporal'})
axis([0 1 min(min(beta(:,37:40)))-0.005 max(max(beta(:,37:40)))+0.005])
ylabel('\fontsize{20}\beta(t)')

ax6=subplot(2,4,6)       
plot(X,beta(:,38))   
title({'\fontsize{12}Cortical Thickness'; 'Standard Deviation of'; 'Left Middle Temporal'})
axis([0 1 min(min(beta(:,37:40)))-0.005 max(max(beta(:,37:40)))+0.005])
set(ax6,'ytick',[])

ax7=subplot(2,4,7)       
plot(X,beta(:,39))    
title({'\fontsize{12}Surface Area of'; 'Left Paracentral'})
axis([0 1 min(min(beta(:,37:40)))-0.005 max(max(beta(:,37:40)))+0.005])
set(ax7,'ytick',[])

ax8=subplot(2,4,8)       
plot(X,beta(:,40))    
title({'\fontsize{12}Cortical Thickness'; 'Average of'; 'Left Paracentral'})
axis([0 1 min(min(beta(:,37:40)))-0.005 max(max(beta(:,37:40)))+0.005])
set(ax8,'YAxisLocation','Right')

%PART 6
figure
ax1=subplot(2,4,1)       
plot(X,beta(:,41))    
title({'\fontsize{12}Cortical Thickness'; 'Standard Deviation'; 'of Left Paracentral'})
axis([0 1 min(min(beta(:,41:44)))-0.005 max(max(beta(:,41:44)))+0.005])
ylabel('\fontsize{20}\beta(t)')

ax2=subplot(2,4,2)       
plot(X,beta(:,42))   
title({'\fontsize{12}Surface Area'; 'of Left'; 'Parahippocampal'})
axis([0 1 min(min(beta(:,41:44)))-0.005 max(max(beta(:,41:44)))+0.005])
set(ax2,'ytick',[])

ax3=subplot(2,4,3)       
plot(X,beta(:,43))    
title({'\fontsize{12}Cortical Thickness';'Average of Left'; 'Parahippocampal'})
axis([0 1 min(min(beta(:,41:44)))-0.005 max(max(beta(:,41:44)))+0.005])
set(ax3,'ytick',[])

ax4=subplot(2,4,4)       
plot(X,beta(:,44))    
title({'\fontsize{12}Cortical Thickness'; 'Standard Deviation of'; 'Left Parahippocampal'})
axis([0 1 min(min(beta(:,41:44)))-0.005 max(max(beta(:,41:44)))+0.005])
set(ax4,'YAxisLocation','Right')

ax5=subplot(2,4,5)       
plot(X,beta(:,45))          
title({'\fontsize{12}Cortical Thickness';'Standard Deviation of'; 'Left Pars Opercularis'})
axis([0 1 min(min(beta(:,45:48)))-0.005 max(max(beta(:,45:48)))+0.005])
xlabel('\fontsize{15}t')
ylabel('\fontsize{20}\beta(t)')

ax6=subplot(2,4,6)       
plot(X,beta(:,46))   
title({'\fontsize{12}Cortical Thickness'; 'Average of Left'; 'Pars Orbitalis'})
axis([0 1 min(min(beta(:,45:48)))-0.005 max(max(beta(:,45:48)))+0.005])
set(ax6,'ytick',[])
xlabel('\fontsize{15}t')

ax7=subplot(2,4,7)       
plot(X,beta(:,47))    
title({'\fontsize{12}Volume of Left'; 'Pars Triangularis'})
axis([0 1 min(min(beta(:,45:48)))-0.005 max(max(beta(:,45:48)))+0.005])
set(ax7,'ytick',[])
xlabel('\fontsize{15}t')

ax8=subplot(2,4,8)       
plot(X,beta(:,48))    
title({'\fontsize{12}Surface Area'; 'of Left'; 'Pars Triangularis'})
axis([0 1 min(min(beta(:,45:48)))-0.005 max(max(beta(:,45:48)))+0.005])
set(ax8,'YAxisLocation','Right')
xlabel('\fontsize{15}t')

%PART 7
figure
ax1=subplot(2,4,1)       
plot(X,beta(:,49))    
title({'\fontsize{12}Volume of'; 'Left Pericalcarine'})
axis([0 1 min(min(beta(:,49:52)))-0.005 max(max(beta(:,49:52)))+0.005])
ylabel('\fontsize{20}\beta(t)')

ax2=subplot(2,4,2)       
plot(X,beta(:,50))   
title({'\fontsize{12}Cortical Thickness'; 'Average of'; 'Left Pericalcarine'})
axis([0 1 min(min(beta(:,49:52)))-0.005 max(max(beta(:,49:52)))+0.005])
set(ax2,'ytick',[])

ax3=subplot(2,4,3)       
plot(X,beta(:,51))    
title({'\fontsize{12}Cortical Thickness';'Standard Deviation of'; 'Left Pericalcarine'})
axis([0 1 min(min(beta(:,49:52)))-0.005 max(max(beta(:,49:52)))+0.005])
set(ax3,'ytick',[])

ax4=subplot(2,4,4)       
plot(X,beta(:,52))    
title({'\fontsize{12}Surface Area of'; 'Left Postcentral'})
axis([0 1 min(min(beta(:,49:52)))-0.005 max(max(beta(:,49:52)))+0.005])
set(ax4,'YAxisLocation','Right')

ax5=subplot(2,4,5)       
plot(X,beta(:,53))          
title({'\fontsize{12}Cortical Thickness';'Average of'; 'Left Postcentral'})
axis([0 1 min(min(beta(:,53:56)))-0.005 max(max(beta(:,53:56)))+0.005])
ylabel('\fontsize{20}\beta(t)')

ax6=subplot(2,4,6)       
plot(X,beta(:,54))   
title({'\fontsize{12}Volume of'; 'Corpus Callosum'; 'Mid Anterior'})
axis([0 1 min(min(beta(:,53:56)))-0.005 max(max(beta(:,53:56)))+0.005])
set(ax6,'ytick',[])

ax7=subplot(2,4,7)       
plot(X,beta(:,55))    
title({'\fontsize{12}Volume of'; 'Left Posterior'; 'Cingulate'})
axis([0 1 min(min(beta(:,53:56)))-0.005 max(max(beta(:,53:56)))+0.005])
set(ax7,'ytick',[])

ax8=subplot(2,4,8)       
plot(X,beta(:,56))    
title({'\fontsize{12}Cortical Thickness'; 'Standard Deviation'; 'of Left'; 'Posterior Cingulate'})
axis([0 1 min(min(beta(:,53:56)))-0.005 max(max(beta(:,53:56)))+0.005])
set(ax8,'YAxisLocation','Right')


%PART 8
figure
ax1=subplot(2,4,1)       
plot(X,beta(:,57))    
title({'\fontsize{12}Cortical Thickness'; 'Standard Deviation';'of Left Precentral'})
axis([0 1 min(min(beta(:,57:60)))-0.005 max(max(beta(:,57:60)))+0.005])
ylabel('\fontsize{20}\beta(t)')

ax2=subplot(2,4,2)       
plot(X,beta(:,58))   
title({'\fontsize{12}Cortical Thickness'; 'Standard Deviation'; 'of Left Precuneus'})
axis([0 1 min(min(beta(:,57:60)))-0.005 max(max(beta(:,57:60)))+0.005])
set(ax2,'ytick',[])

ax3=subplot(2,4,3)       
plot(X,beta(:,59))    
title({'\fontsize{12}Surface Area of';'Left Rostral'; 'Anterior Cingulate'})
axis([0 1 min(min(beta(:,57:60)))-0.005 max(max(beta(:,57:60)))+0.005])
set(ax3,'ytick',[])

ax4=subplot(2,4,4)       
plot(X,beta(:,60))    
title({'\fontsize{12}Volume of Left'; 'Superior Temporal'})
axis([0 1 min(min(beta(:,57:60)))-0.005 max(max(beta(:,57:60)))+0.005])
set(ax4,'YAxisLocation','Right')

ax5=subplot(2,4,5)       
plot(X,beta(:,61))          
title({'\fontsize{12}Volume of';'Left Supramarginal'})
axis([0 1 min(min(beta(:,61:64)))-0.005 max(max(beta(:,61:64)))+0.005])
xlabel('\fontsize{15}t')
ylabel('\fontsize{20}\beta(t)')

ax6=subplot(2,4,6)       
plot(X,beta(:,62))   
title({'\fontsize{12}Surface Area of'; 'Left Supramarginal'})
axis([0 1 min(min(beta(:,61:64)))-0.005 max(max(beta(:,61:64)))+0.005])
set(ax6,'ytick',[])
xlabel('\fontsize{15}t')

ax7=subplot(2,4,7)       
plot(X,beta(:,63))    
title({'\fontsize{12}Volume of'; 'Left Temporal Pole'})
axis([0 1 min(min(beta(:,61:64)))-0.005 max(max(beta(:,61:64)))+0.005])
set(ax7,'ytick',[])
xlabel('\fontsize{15}t')

ax8=subplot(2,4,8)       
plot(X,beta(:,64))    
title({'\fontsize{12}Cortical Thickness'; 'Average of'; 'Left Unknown'})
axis([0 1 min(min(beta(:,61:64)))-0.005 max(max(beta(:,61:64)))+0.005])
set(ax8,'YAxisLocation','Right')
xlabel('\fontsize{15}t')

%PART 9
figure
ax1=subplot(2,4,1)       
plot(X,beta(:,65))    
title({'\fontsize{12}Volume of'; 'Optic Chiasm'})
axis([0 1 min(min(beta(:,65:68)))-0.005 max(max(beta(:,65:68)))+0.005])
ylabel('\fontsize{20}\beta(t)')

ax2=subplot(2,4,2)       
plot(X,beta(:,66))   
title({'\fontsize{12}Volume of Right'; 'Accumbens Area'})
axis([0 1 min(min(beta(:,65:68)))-0.005 max(max(beta(:,65:68)))+0.005])
set(ax2,'ytick',[])

ax3=subplot(2,4,3)       
plot(X,beta(:,67))    
title({'\fontsize{12}Cortical Thickness';'Standard Deviation'; 'of Right Caudal'; 'Anterior Cingulate'})
axis([0 1 min(min(beta(:,65:68)))-0.005 max(max(beta(:,65:68)))+0.005])
set(ax3,'ytick',[])

ax4=subplot(2,4,4)       
plot(X,beta(:,68))    
title({'\fontsize{12}Surface Area'; 'of Right Caudal'; 'Middle Frontal'})
axis([0 1 min(min(beta(:,65:68)))-0.005 max(max(beta(:,65:68)))+0.005])
set(ax4,'YAxisLocation','Right')

ax5=subplot(2,4,5)       
plot(X,beta(:,69))          
title({'\fontsize{12}Cortical Thickness';'Average of';'Right Entorhinal'})
axis([0 1 min(min(beta(:,69:72)))-0.005 max(max(beta(:,69:72)))+0.005])
ylabel('\fontsize{20}\beta(t)')

ax6=subplot(2,4,6)       
plot(X,beta(:,70))   
title({'\fontsize{12}Cortical Thickness';'Standard Deviation of'; 'Right Entorhinal'})
axis([0 1 min(min(beta(:,69:72)))-0.005 max(max(beta(:,69:72)))+0.005])
set(ax6,'ytick',[])

ax7=subplot(2,4,7)       
plot(X,beta(:,71))    
title({'\fontsize{12}Volume of'; 'Right Frontal Pole'})
axis([0 1 min(min(beta(:,69:72)))-0.005 max(max(beta(:,69:72)))+0.005])
set(ax7,'ytick',[])

ax8=subplot(2,4,8)       
plot(X,beta(:,72))    
title({'\fontsize{12}Cortical Thickness'; 'Standard Deviation of'; 'Right Frontal Pole'})
axis([0 1 min(min(beta(:,69:72)))-0.005 max(max(beta(:,69:72)))+0.005])
set(ax8,'YAxisLocation','Right')

%PART 10
figure
ax1=subplot(2,4,1)       
plot(X,beta(:,73))          
title({'\fontsize{12}Volume of Right';'Inferior Parietal'})
axis([0 1 min(min(beta(:,73:76)))-0.005 max(max(beta(:,73:76)))+0.005])
xlabel('\fontsize{15}t')
ylabel('\fontsize{20}\beta(t)')

ax2=subplot(2,4,2)       
plot(X,beta(:,74))   
title({'\fontsize{12}Cortical Thickness';'Standard Deviation'; 'of Right'; 'Inferior Parietal'})
axis([0 1 min(min(beta(:,73:76)))-0.005 max(max(beta(:,73:76)))+0.005])
set(ax2,'ytick',[])
xlabel('\fontsize{15}t')

ax3=subplot(2,4,3)       
plot(X,beta(:,75))    
title({'\fontsize{12}Surface Area'; 'of Right'; 'Inferior Temporal'})
axis([0 1 min(min(beta(:,73:76)))-0.005 max(max(beta(:,73:76)))+0.005])
set(ax3,'ytick',[])
xlabel('\fontsize{15}t')

ax4=subplot(2,4,4)       
plot(X,beta(:,76))    
title({'\fontsize{12}Volume of Right'; 'Lateral Occipital'})
axis([0 1 min(min(beta(:,73:76)))-0.005 max(max(beta(:,73:76)))+0.005])
set(ax4,'YAxisLocation','Right')
xlabel('\fontsize{15}t')


%%%%%%%% Spotlight plot
a = [1,3,42,69];

figure
ax1=subplot(2,4,1)       
plot(X,beta(:,1))         
title('\fontsize{12}Gender')
axis([0 1 min(min(beta(:,a)))-0.005 max(max(beta(:,a)))+0.005])
xlabel('\fontsize{15}t')
ylabel('\fontsize{20}\beta(t)')

ax2=subplot(2,4,2)       
plot(X,beta(:,3))   
title({'\fontsize{12}Cortical Thickness'; 'Average of Right'; 'Parahippocampal'})
axis([0 1 min(min(beta(:,a)))-0.005 max(max(beta(:,a)))+0.005])
set(ax2,'ytick',[])
xlabel('\fontsize{15}t')


ax3=subplot(2,4,3)       
plot(X,beta(:,42))    
title({'\fontsize{12}Surface Area'; 'of Left'; 'Parahippocampal'})
axis([0 1 min(min(beta(:,a)))-0.005 max(max(beta(:,a)))+0.005])
set(ax3,'ytick',[])
xlabel('\fontsize{15}t')


ax4=subplot(2,4,4)       
plot(X,beta(:,69))    
title({'\fontsize{12}Cortical Thickness';'Average of';'Right Entorhinal'})
axis([0 1 min(min(beta(:,a)))-0.005 max(max(beta(:,a)))+0.005])
set(ax4,'YAxisLocation','Right')
xlabel('\fontsize{15}t')





