function [b,c,tau0_GCV] = ss_GCV(y,N,p,RKO,lam0)


%Tuning parameter by GCV
N_tau0 = 10;
tau0 = linspace(10^(-8),0.1,N_tau0);

GCV = zeros(N_tau0,1);
for i = 1:N_tau0
    lam = tau0(i)*lam0;
    vRKO=lam(1)*RKO(:,1:N);
    for j=2:p
        vRKO = blkdiag(vRKO,lam(j)*RKO(:,(j-1)*N+1:j*N));
    end
    tRKO = RKO'*RKO+N*vRKO;
    tRKO = tRKO + 10^(-8)*eye(N*p); 
    A1 = (ones(N,1)'*(ones(N,N)-RKO*(tRKO\RKO'))*ones(N,1))\ones(N,1)'...
     *(ones(N,N)-RKO*(tRKO\RKO'));
    A2 = repmat(A1,N,1);
    A = RKO*(tRKO\RKO')-RKO*(tRKO\RKO')*A2+A2;
    GCV(i) = mean((y - A*y).^2)/(1-mean(diag(A)))^2;
end
[~,min_tau0] = min(GCV);
tau0_GCV = tau0(min_tau0);
lam = tau0_GCV*lam0;
    vRKO=lam(1)*RKO(:,1:N);
    for j=2:p
        vRKO = blkdiag(vRKO,lam(j)*RKO(:,(j-1)*N+1:j*N));
    end
    tRKO = RKO'*RKO+N*vRKO;
    tRKO = tRKO + 10^(-8)*eye(N*p); 
b = (ones(N,1)'*(ones(N,N)-RKO*(tRKO\RKO'))*ones(N,1))\ones(N,1)'...
     *(ones(N,N)-RKO*(tRKO\RKO'))*y;

c = (tRKO\RKO')*(y-ones(N,1)*b);
